Get and display available PHP versions for hosting

Display which PHP versions are available for a specific hosting account. This is useful for showing the customer's current selection or allowing the customer to switch versions. This endpoint is only available for cPanel servers.

Web Hosting Services Hosting Accounts

Context

Where to get IDs / values

Path Parameters

accountId integer · min: 1 required Example: 20000

Unique account identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.accountId string required · Example: 20000
data.cpanelUsername string required · Example: xkqjm
data.success boolean required · Example: true

True for successful responses.

data.versions object required
data.versions.data string · nullable required · Example: null

Nullable: may be null when not applicable.

data.versions.errors array<string> required · Example: ["You do not have the feature “multiphp”."]
data.versions.messages string · nullable required · Example: null

Nullable: may be null when not applicable.

data.versions.metadata object required
data.versions.status integer required · Example: 0
data.versions.warnings string · nullable required · Example: null

Nullable: may be null when not applicable.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/hosting/{accountId}/php
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/hosting/20000/php" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "accountId": "20000",
    "cpanelUsername": "xkqjm",
    "versions": {
      "messages": null,
      "status": 0,
      "metadata": {},
      "errors": [
        "You do not have the feature “multiphp”."
      ],
      "data": null,
      "warnings": null
    }
  }
}